[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: pfstat: can't load library 'libpng.so.4.0'



On Wed, May 12, 2004 at 04:17:05PM +0200, i.t wrote:
> I've updated to 3.5 and the ports tree via cvs...
Short answer: pkg_delete all installed ports, then pkg_add the 3.5
versions again. The zlib change basically fucked the entire dependancy
tree.
If you don't feel like doing that right now, you can also build pfstat
from source, which will link against the old zlib/gd. But just about any
binary 3.5 port you try to install is linked against new zlib (or
against something that was linked against it, etc.).
Daniel